Package org.globus.ftp.vanilla

# Interface BasicServerControlChannel

All Known Implementing Classes:
  `FTPServerFacade.LocalControlChannel`

public interface BasicServerControlChannel
Basic subset of server side control channel functionality. Using this class, local server can send replies but not receive commands.

## Method Summary

Modifier and Type
Method
Description
`int`
`getReplyCount()`
`void`
`resetReplyCount()`
set reply count to 0.
`void`
`write(Reply reply)`
write reply to the control channel

## Method Details

### write

void write(Reply reply)
write reply to the control channel

### getReplyCount

int getReplyCount()

Returns:
  number of replies sent so far

### resetReplyCount

void resetReplyCount()
set reply count to 0. If this function is used consequently at the beginning of each transfer, then reply count will always indicate number of messages of last transfer.